Upstream information

CVE-2020-15078 at MITRE

Description

OpenVPN 2.5.1 and earlier versions allows a remote attackers to bypass authentication and access control channel data on servers configured with deferred authentication, which can be used to potentially trigger further information leaks.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:P/I:N/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.5 5.3
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N
Attack Vector Network Network
Attack Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High Low
Integrity Impact None None
Availability Impact None None
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1185279 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 7.1
SUSE Linux Enterprise Desktop 15 SP3
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Module for Basesystem 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • openvpn >= 2.4.3-5.7.1
  • openvpn-auth-pam-plugin >= 2.4.3-5.7.1
  • openvpn-devel >= 2.4.3-5.7.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP3-2021-1577
SUSE Enterprise Storage 7
SUSE Linux Enterprise Desktop 15 SP2
SUSE Linux Enterprise High Performance Computing 15 SP2
SUSE Linux Enterprise Module for Basesystem 15 SP2
SUSE Linux Enterprise Server 15 SP2
SUSE Linux Enterprise Server for SAP Applications 15 SP2
SUSE Manager Proxy 4.1
SUSE Manager Retail Branch Server 4.1
SUSE Manager Server 4.1
  • openvpn >= 2.4.3-5.7.1
  • openvpn-auth-pam-plugin >= 2.4.3-5.7.1
  • openvpn-devel >= 2.4.3-5.7.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP2-2021-1577
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Basesystem 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • openvpn >= 2.5.5-150400.1.5
  • openvpn-auth-pam-plugin >= 2.5.5-150400.1.5
  • openvpn-devel >= 2.5.5-150400.1.5
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP4 GA openvpn-2.5.5-150400.1.5
SUSE Linux Enterprise Desktop 15 SP5
SUSE Linux Enterprise High Performance Computing 15 SP5
SUSE Linux Enterprise Module for Basesystem 15 SP5
SUSE Linux Enterprise Server 15 SP5
SUSE Linux Enterprise Server for SAP Applications 15 SP5
  • openvpn >= 2.5.6-150400.3.6.1
  • openvpn-auth-pam-plugin >= 2.5.6-150400.3.6.1
  • openvpn-devel >= 2.5.6-150400.3.6.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP5 GA openvpn-2.5.6-150400.3.6.1
SUSE Linux Enterprise Server 11-SECURITY
  • openvpn-openssl1 >= 2.3.2-0.10.9.1
  • openvpn-openssl1-down-root-plugin >= 2.3.2-0.10.9.1
Patchnames:
secsp3-openvpn-openssl1-14723
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • openvpn >= 2.3.8-16.26.1
  • openvpn-auth-pam-plugin >= 2.3.8-16.26.1
Patchnames:
SUSE-SLE-SERVER-12-SP5-2021-1576
openSUSE Leap 15.2
  • openvpn >= 2.4.3-lp152.6.3.1
  • openvpn-auth-pam-plugin >= 2.4.3-lp152.6.3.1
  • openvpn-devel >= 2.4.3-lp152.6.3.1
  • openvpn-down-root-plugin >= 2.4.3-lp152.6.3.1
Patchnames:
openSUSE-2021-734
openSUSE Leap 15.3
  • openvpn >= 2.4.3-5.7.1
Patchnames:
openSUSE Leap 15.3 GA openvpn-2.4.3-5.7.1
openSUSE Leap 15.4
  • openvpn >= 2.5.5-150400.1.5
Patchnames:
openSUSE Leap 15.4 GA openvpn-2.5.5-150400.1.5
openSUSE Tumbleweed
  • openvpn >= 2.5.3-1.2
  • openvpn-auth-pam-plugin >= 2.5.3-1.2
  • openvpn-devel >= 2.5.3-1.2
  • openvpn-down-root-plugin >= 2.5.3-1.2
Patchnames:
openSUSE-Tumbleweed-2024-11128


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 openvpn Released
SUSE Linux Enterprise Desktop 15 SP5 openvpn Already fixed
SUSE Linux Enterprise High Performance Computing 12 SP5 openvpn Released
SUSE Linux Enterprise High Performance Computing 15 SP5 openvpn Already fixed
SUSE Linux Enterprise Module for Basesystem 15 SP5 openvpn Already fixed
SUSE Linux Enterprise Server 12 SP5 openvpn Released
SUSE Linux Enterprise Server 15 SP5 openvpn Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP5 openvpn Released
SUSE Linux Enterprise Server for SAP Applications 15 SP5 openvpn Already fixed
SUSE Manager Proxy 4.3 openvpn Already fixed
SUSE Manager Retail Branch Server 4.3 openvpn Already fixed
SUSE Manager Server 4.3 openvpn Already fixed
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Desktop 15 SP4 openvpn Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP2 openvpn Released
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS openvpn Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS openvpn Affected
SUSE Linux Enterprise High Performance Computing 15 SP3 openvpn Released
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS openvpn Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS openvpn Affected
SUSE Linux Enterprise High Performance Computing 15 SP4 openvpn Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS openvpn Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS openvpn Already fixed
SUSE Linux Enterprise Module for Basesystem 15 SP2 openvpn Released
SUSE Linux Enterprise Module for Basesystem 15 SP3 openvpn Released
SUSE Linux Enterprise Module for Basesystem 15 SP4 openvpn Already fixed
SUSE Linux Enterprise Server 15 SP2 openvpn Released
SUSE Linux Enterprise Server 15 SP2-LTSS openvpn Affected
SUSE Linux Enterprise Server 15 SP3 openvpn Released
SUSE Linux Enterprise Server 15 SP3-LTSS openvpn Affected
SUSE Linux Enterprise Server 15 SP4 openvpn Already fixed
SUSE Linux Enterprise Server 15 SP4-LTSS openvpn Already fixed
SUSE Linux Enterprise Server 15-ESPOS openvpn Unsupported
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 openvpn Unsupported
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 openvpn Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP2 openvpn Released
SUSE Linux Enterprise Server for SAP Applications 15 SP3 openvpn Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 openvpn Already fixed
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 openvpn Affected
SUSE CaaS Platform 4.0 openvpn Affected
SUSE Enterprise Storage 6 openvpn Affected
SUSE Enterprise Storage 7 openvpn Released
SUSE Linux Enterprise Desktop 12 openvpn Affected
SUSE Linux Enterprise Desktop 12 SP1 openvpn Affected
SUSE Linux Enterprise Desktop 12 SP2 openvpn Affected
SUSE Linux Enterprise Desktop 12 SP3 openvpn Affected
SUSE Linux Enterprise Desktop 12 SP4 openvpn Affected
SUSE Linux Enterprise Desktop 15 openvpn Affected
SUSE Linux Enterprise Desktop 15 SP1 openvpn Affected
SUSE Linux Enterprise Desktop 15 SP2 openvpn Released
SUSE Linux Enterprise Desktop 15 SP3 openvpn Released
SUSE Linux Enterprise High Performance Computing 15 openvpn Affected
SUSE Linux Enterprise High Performance Computing 15 SP1 openvpn Affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS openvpn Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS openvpn Affected
SUSE Linux Enterprise High Performance Computing 15-ESPOS openvpn Affected
SUSE Linux Enterprise High Performance Computing 15-LTSS openvpn Unsupported
SUSE Linux Enterprise Module for Basesystem 15 openvpn Affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 openvpn Affected
SUSE Linux Enterprise Point of Service 11 SP3 openvpn Not affected
SUSE Linux Enterprise Real Time 15 SP2 openvpn Unsupported
SUSE Linux Enterprise Real Time 15 SP3 openvpn Affected
SUSE Linux Enterprise Real Time 15 SP4 openvpn Already fixed
SUSE Linux Enterprise Server 11 SP3 openvpn Affected
SUSE Linux Enterprise Server 11 SP3-LTSS openvpn Affected
SUSE Linux Enterprise Server 11 SP4 openvpn Affected
SUSE Linux Enterprise Server 11 SP4 LTSS openvpn Not affected
SUSE Linux Enterprise Server 11 SP4-LTSS openvpn Affected
SUSE Linux Enterprise Server 11-SECURITY openvpn-openssl1 Released
SUSE Linux Enterprise Server 12 openvpn Affected
SUSE Linux Enterprise Server 12 SP1 openvpn Affected
SUSE Linux Enterprise Server 12 SP1-LTSS openvpn Affected
SUSE Linux Enterprise Server 12 SP2 openvpn Affected
SUSE Linux Enterprise Server 12 SP2-BCL openvpn Affected
SUSE Linux Enterprise Server 12 SP2-ESPOS openvpn Affected
SUSE Linux Enterprise Server 12 SP2-LTSS openvpn Affected
SUSE Linux Enterprise Server 12 SP3 openvpn Affected
SUSE Linux Enterprise Server 12 SP3-BCL openvpn Unsupported
SUSE Linux Enterprise Server 12 SP3-ESPOS openvpn Unsupported
SUSE Linux Enterprise Server 12 SP3-LTSS openvpn Unsupported
SUSE Linux Enterprise Server 12 SP4 openvpn Affected
SUSE Linux Enterprise Server 12 SP4-ESPOS openvpn Affected
SUSE Linux Enterprise Server 12 SP4-LTSS openvpn Affected
SUSE Linux Enterprise Server 12-LTSS openvpn Affected
SUSE Linux Enterprise Server 15 openvpn Affected
SUSE Linux Enterprise Server 15 SP1 openvpn Affected
SUSE Linux Enterprise Server 15 SP1-BCL openvpn Affected
SUSE Linux Enterprise Server 15 SP1-LTSS openvpn Affected
SUSE Linux Enterprise Server 15 SP2-BCL openvpn Affected
SUSE Linux Enterprise Server 15 SP3-BCL openvpn Affected
SUSE Linux Enterprise Server 15-LTSS openvpn Unsupported
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 openvpn Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 openvpn Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 openvpn Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 openvpn Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP4 openvpn Affected
SUSE Linux Enterprise Server for SAP Applications 15 openvpn Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP1 openvpn Affected
SUSE Manager Proxy 4.0 openvpn Unsupported
SUSE Manager Proxy 4.1 openvpn Released
SUSE Manager Proxy 4.2 openvpn Released
SUSE Manager Retail Branch Server 4.0 openvpn Unsupported
SUSE Manager Retail Branch Server 4.1 openvpn Released
SUSE Manager Retail Branch Server 4.2 openvpn Released
SUSE Manager Server 4.0 openvpn Unsupported
SUSE Manager Server 4.1 openvpn Released
SUSE Manager Server 4.2 openvpn Released
SUSE OpenStack Cloud 7 openvpn Affected
SUSE OpenStack Cloud 8 openvpn Affected
SUSE OpenStack Cloud 9 openvpn Affected
SUSE OpenStack Cloud Crowbar 8 openvpn Affected
SUSE OpenStack Cloud Crowbar 9 openvpn Affected
Security Module for SUSE Linux Enterprise 11 openvpn-openssl1 Released


SUSE Timeline for this CVE

CVE page created: Fri Apr 23 18:03:41 2021
CVE page last modified: Sun Jun 16 01:07:37 2024